Bug 1668022 (CVE-2019-8934)

Summary: CVE-2019-8934 QEMU: ppc64: sPAPR emulator leaks the host hardware identity
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amit, areis, berrange, cfergeau, dbecker, dgibson, drjones, dwmw2, imammedo, itamar, jen, jforbes, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, m.a.young, mburns, mkenneth, mrezanin, mst, pbonzini, ppandit, rbalakri, rjones, robinlee.sysu, sclewis, security-response-team, slinaber, thuth, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1679459, 1679460, 1679461, 1679824, 1679463, 1679464, 1679465, 1679822, 1679823    
Bug Blocks: 1668024    

Description Laura Pardo 2019-01-21 17:40:34 UTC
It was found that the KVM PPC64 emulator for the sPAPR machine leaks the host
hardware identity to all running guests. The sPAPAR(hw/ppc/spapr.c) emulator
populates the device tree for the guest with two fields "host-serial"
and "host-model". The values for these fields are taken via hypervisor from
the host device tree data exposed in "/proc/device-tree/system-id"
and "/proc/device-tree/model" file respectively.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2019-02/msg04821.html

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2019/02/21/1

Comment 1 Laura Pardo 2019-01-21 20:14:23 UTC
Acknowledgments:

Name: Daniel P. Berrangé (Red Hat)

Comment 4 Prasad J Pandit 2019-02-21 08:03:36 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1679463]